|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Q3CanvasPolygon Class Reference
[Qt3Support module]

The Q3CanvasPolygon class provides a polygon on a Q3Canvas. More...

     #include <Q3CanvasPolygon>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Note to Qt Desktop Light Edition users: This class is only available in the Qt Desktop Edition.

Inherits Q3CanvasPolygonalItem.

Inherited by Q3CanvasSpline.

- List of all members, including inherited members

### Public Functions

- Q3CanvasPolygon ( Q3Canvas * canvas )
- ~Q3CanvasPolygon ()
- virtual Q3PointArray areaPoints () const
- Q3PointArray points () const
- virtual int rtti () const
- void setPoints ( Q3PointArray pa )

- 8 public functions inherited from Q3CanvasPolygonalItem
- 34 public functions inherited from Q3CanvasItem

### Protected Functions

- virtual void drawShape ( QPainter & p )

- 6 protected functions inherited from Q3CanvasPolygonalItem
- 1 protected function inherited from Q3CanvasItem

## Detailed Description

The Q3CanvasPolygon class provides a polygon on a Q3Canvas.

Paints a polygon with a QBrush. The polygon's points can be set in the constructor or set or changed later using setPoints(). Use points() to retrieve the points, or areaPoints() to retrieve the points relative to the canvas's origin.

The polygon can be drawn on a painter with drawShape().

Like any other canvas item polygons can be moved with Q3CanvasItem::move() and Q3CanvasItem::moveBy(), or by setting coordinates with Q3CanvasItem::setX(), Q3CanvasItem::setY() and Q3CanvasItem::setZ().

Note: Q3CanvasPolygon does not use the pen.

See also QtCanvas and Porting to Graphics View.

## Member Function Documentation

### Q3CanvasPolygon::Q3CanvasPolygon ( Q3Canvas * canvas )

Constructs a point-less polygon on the canvas canvas. You should call setPoints() before using it further.

### Q3CanvasPolygon::~Q3CanvasPolygon ()

Destroys the polygon.

### Q3PointArray Q3CanvasPolygon::areaPoints () const `[virtual]`

Returns the vertices of the polygon translated by the polygon's current x(), y() position, i.e. relative to the canvas's origin.

Reimplemented from Q3CanvasPolygonalItem.

See also setPoints() and points().

### void Q3CanvasPolygon::drawShape ( QPainter & p ) `[virtual protected]`

Draws the polygon using the painter p.

Note that Q3CanvasPolygon does not support an outline (the pen is always NoPen).

Reimplemented from Q3CanvasPolygonalItem.

### Q3PointArray Q3CanvasPolygon::points () const

Returns the vertices of the polygon, not translated by the position.

See also setPoints() and areaPoints().

### int Q3CanvasPolygon::rtti () const `[virtual]`

Returns 4 (Q3CanvasItem::Rtti_Polygon).

Reimplemented from Q3CanvasItem.

See also Q3CanvasItem::rtti().

### void Q3CanvasPolygon::setPoints ( Q3PointArray pa )

Sets the points of the polygon to be pa. These points will have their x and y coordinates automatically translated by x(), y() as the polygon is moved.

See also points().